<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('registrations', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->unsignedTinyInteger('age')->nullable();
            $table->string('height')->nullable();
            $table->string('complexion')->nullable();
            $table->unsignedSmallInteger('weight')->nullable();
            $table->string('city')->nullable();
            $table->string('contact');
            $table->string('category'); // Beauty Pageant | Fashion Show
            $table->text('about')->nullable();
            $table->string('photo_one')->nullable();
            $table->string('photo_two')->nullable();
            $table->string('status')->default('pending'); // pending|shortlisted|approved|rejected
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('registrations');
    }
};
